path: /build/build/libquicktime-media-libs-1.2.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc X aac alsa dv encode ffmpeg gtk jpeg lame opengl png vorbis x264" emerge media-libs/libquicktime -pv -t && \
    USE="-doc X aac alsa dv encode ffmpeg gtk jpeg lame opengl png vorbis x264" emerge -j ${JOBS} --nodeps media-libs/libquicktime
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libquicktime && luet-portage --dir /pkgdir/libquicktime
    media-libs/libquicktime && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:12d9ee28d258d4c619352d6528b09098ab8eb7a752ae232a79bc82fac942b1e3
  package:
    name: libquicktime
    version: 1.2.4
    category: media-libs
    use_flags:
    - -doc
    - X
    - aac
    - alsa
    - dv
    - encode
    - ffmpeg
    - gtk
    - jpeg
    - lame
    - opengl
    - png
    - vorbis
    - x264
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An enhanced version of the quicktime4linux library
    uri:
    - http://libquicktime.sourceforge.net/
    license: LGPL-2.1
    buildtimestamp: 2023-09-10 20:10:30.907784497 +0000 UTC m=+102.977885664
    labels:
      BDEPEND: virtual/pkgconfig sys-devel/gettext doc? ( app-doc/doxygen ) X? ( x11-base/xorg-proto
        ) >=app-portage/elt-patches-20170815
      DEPEND: sys-libs/zlib >=virtual/libintl-0-r1[-mgorny(-)] aac? ( >=media-libs/faad2-2.7-r3[-mgorny(-)]
        encode? ( >=media-libs/faac-1.28-r3[-mgorny(-)] ) ) alsa? ( >=media-libs/alsa-lib-1.0.20
        ) dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)] ) ffmpeg? ( >=media-video/ffmpeg-3.2.6:0=[-mgorny(-)]
        ) gtk? ( x11-libs/gtk+:2 ) jpeg? ( >=virtual/jpeg-0-r2:0[-mgorny(-)] ) lame?
        ( >=media-sound/lame-3.99.5-r1[-mgorny(-)] ) opengl? ( virtual/opengl ) png?
        ( >=media-libs/libpng-1.6.10:0[-mgorny(-)] ) vorbis? ( >=media-libs/libogg-1.3.0[-mgorny(-)]
        >=media-libs/libvorbis-1.3.3-r1[-mgorny(-)] ) X? ( x11-libs/libX11 x11-libs/libXaw
        x11-libs/libXext x11-libs/libXt x11-libs/libXv ) x264? ( >=media-libs/x264-0.0.20130506:=[-mgorny(-)]
        )
      IUSE: aac alsa doc dv encode ffmpeg gtk jpeg lame cpu_flags_x86_mmx opengl png
        static-libs vorbis X x264 abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: sys-libs/zlib >=virtual/libintl-0-r1[-mgorny(-)] aac? ( >=media-libs/faad2-2.7-r3[-mgorny(-)]
        encode? ( >=media-libs/faac-1.28-r3[-mgorny(-)] ) ) alsa? ( >=media-libs/alsa-lib-1.0.20
        ) dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)] ) ffmpeg? ( >=media-video/ffmpeg-3.2.6:0=[-mgorny(-)]
        ) gtk? ( x11-libs/gtk+:2 ) jpeg? ( >=virtual/jpeg-0-r2:0[-mgorny(-)] ) lame?
        ( >=media-sound/lame-3.99.5-r1[-mgorny(-)] ) opengl? ( virtual/opengl ) png?
        ( >=media-libs/libpng-1.6.10:0[-mgorny(-)] ) vorbis? ( >=media-libs/libogg-1.3.0[-mgorny(-)]
        >=media-libs/libvorbis-1.3.3-r1[-mgorny(-)] ) X? ( x11-libs/libX11 x11-libs/libXaw
        x11-libs/libXext x11-libs/libXt x11-libs/libXv ) x264? ( >=media-libs/x264-0.0.20130506:=[-mgorny(-)]
        )
      emerge.packages: media-libs/libquicktime
      kit: media-kit
      original.package.name: media-libs/libquicktime
      original.package.slot: "0"
      original.package.version: 1.2.4-r3
    treedir: /build/packages
  package_dir: /pkgdir/libquicktime
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 992f306154fbc12d69f2c15acc26f9e366c1b86623376d2346b3e51e0987af21
compressiontype: zstd
files:
- usr/bin/libquicktime_config
- usr/bin/lqt_transcode
- usr/bin/lqtplay
- usr/bin/lqtremux
- usr/bin/qt2text
- usr/bin/qtdechunk
- usr/bin/qtdump
- usr/bin/qtinfo
- usr/bin/qtrechunk
- usr/bin/qtstreamize
- usr/bin/qtyuv4toyuv
- usr/include/lqt/colormodels.h
- usr/include/lqt/compression.h
- usr/include/lqt/lqt.h
- usr/include/lqt/lqt_atoms.h
- usr/include/lqt/lqt_codecinfo.h
- usr/include/lqt/lqt_qtvr.h
- usr/include/lqt/lqt_version.h
- usr/include/lqt/quicktime.h
- usr/include/quicktime
- usr/lib64/libquicktime/lqt_audiocodec.so
- usr/lib64/libquicktime/lqt_dv.so
- usr/lib64/libquicktime/lqt_faac.so
- usr/lib64/libquicktime/lqt_ffmpeg.so
- usr/lib64/libquicktime/lqt_lame.so
- usr/lib64/libquicktime/lqt_mjpeg.so
- usr/lib64/libquicktime/lqt_png.so
- usr/lib64/libquicktime/lqt_rtjpeg.so
- usr/lib64/libquicktime/lqt_videocodec.so
- usr/lib64/libquicktime/lqt_vorbis.so
- usr/lib64/libquicktime/lqt_x264.so
- usr/lib64/libquicktime.so
- usr/lib64/libquicktime.so.0
- usr/lib64/libquicktime.so.0.0.0
- usr/lib64/pkgconfig/libquicktime.pc
- usr/share/doc/libquicktime-1.2.4-r3/ChangeLog.bz2
- usr/share/doc/libquicktime-1.2.4-r3/README.bz2
- usr/share/doc/libquicktime-1.2.4-r3/TODO.bz2
- usr/share/locale/de/LC_MESSAGES/libquicktime.mo
- usr/share/man/man1/lqtplay.1.bz2
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/BDEPEND
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/BUILD_TIME
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CATEGORY
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CBUILD
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CFLAGS
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CHOST
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CONTENTS
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/COUNTER
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/CXXFLAGS
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/DEFINED_PHASES
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/DEPEND
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/DESCRIPTION
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/EAPI
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/FEATURES
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/HOMEPAGE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/INHERITED
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/IUSE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/KEYWORDS
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/LDFLAGS
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/LICENSE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/NEEDED
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/PF
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/PROVIDES
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/RDEPEND
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/REQUIRES
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/SIZE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/SLOT
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/USE
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/environment.bz2
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/libquicktime-1.2.4-r3.ebuild
- var/db/pkg/media-libs/libquicktime-1.2.4-r3/repository
package_cacheimage: ""
runtime:
  name: libquicktime
  version: 1.2.4
  category: media-libs
  use_flags:
  - -doc
  - X
  - aac
  - alsa
  - dv
  - encode
  - ffmpeg
  - gtk
  - jpeg
  - lame
  - opengl
  - png
  - vorbis
  - x264
  requires:
  - name: alsa-lib
    version: '>=0'
    category: media-libs
  - name: faac
    version: '>=0'
    category: media-libs
  - name: faad2
    version: '>=0'
    category: media-libs
  - name: libdv
    version: '>=0'
    category: media-libs
  - name: libpng
    version: '>=0'
    category: media-libs
  - name: libvorbis
    version: '>=0'
    category: media-libs
  - name: ffmpeg
    version: '>=0'
    category: media-video
  - name: jpeg
    version: '>=0'
    category: virtual
  - name: libintl
    version: '>=0'
    category: virtual
  - name: opengl
    version: '>=0'
    category: virtual
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  - name: libXaw
    version: '>=0'
    category: x11-libs
  - name: libXt
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An enhanced version of the quicktime4linux library
  uri:
  - http://libquicktime.sourceforge.net/
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig sys-devel/gettext doc? ( app-doc/doxygen ) X? ( x11-base/xorg-proto
      ) >=app-portage/elt-patches-20170815
    DEPEND: sys-libs/zlib >=virtual/libintl-0-r1[-mgorny(-)] aac? ( >=media-libs/faad2-2.7-r3[-mgorny(-)]
      encode? ( >=media-libs/faac-1.28-r3[-mgorny(-)] ) ) alsa? ( >=media-libs/alsa-lib-1.0.20
      ) dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)] ) ffmpeg? ( >=media-video/ffmpeg-3.2.6:0=[-mgorny(-)]
      ) gtk? ( x11-libs/gtk+:2 ) jpeg? ( >=virtual/jpeg-0-r2:0[-mgorny(-)] ) lame?
      ( >=media-sound/lame-3.99.5-r1[-mgorny(-)] ) opengl? ( virtual/opengl ) png?
      ( >=media-libs/libpng-1.6.10:0[-mgorny(-)] ) vorbis? ( >=media-libs/libogg-1.3.0[-mgorny(-)]
      >=media-libs/libvorbis-1.3.3-r1[-mgorny(-)] ) X? ( x11-libs/libX11 x11-libs/libXaw
      x11-libs/libXext x11-libs/libXt x11-libs/libXv ) x264? ( >=media-libs/x264-0.0.20130506:=[-mgorny(-)]
      )
    IUSE: aac alsa doc dv encode ffmpeg gtk jpeg lame cpu_flags_x86_mmx opengl png
      static-libs vorbis X x264 abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: sys-libs/zlib >=virtual/libintl-0-r1[-mgorny(-)] aac? ( >=media-libs/faad2-2.7-r3[-mgorny(-)]
      encode? ( >=media-libs/faac-1.28-r3[-mgorny(-)] ) ) alsa? ( >=media-libs/alsa-lib-1.0.20
      ) dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)] ) ffmpeg? ( >=media-video/ffmpeg-3.2.6:0=[-mgorny(-)]
      ) gtk? ( x11-libs/gtk+:2 ) jpeg? ( >=virtual/jpeg-0-r2:0[-mgorny(-)] ) lame?
      ( >=media-sound/lame-3.99.5-r1[-mgorny(-)] ) opengl? ( virtual/opengl ) png?
      ( >=media-libs/libpng-1.6.10:0[-mgorny(-)] ) vorbis? ( >=media-libs/libogg-1.3.0[-mgorny(-)]
      >=media-libs/libvorbis-1.3.3-r1[-mgorny(-)] ) X? ( x11-libs/libX11 x11-libs/libXaw
      x11-libs/libXext x11-libs/libXt x11-libs/libXv ) x264? ( >=media-libs/x264-0.0.20130506:=[-mgorny(-)]
      )
    emerge.packages: media-libs/libquicktime
    kit: media-kit
    original.package.name: media-libs/libquicktime
    original.package.slot: "0"
    original.package.version: 1.2.4-r3
